For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The BankFeedTransaction object
          • GET/bank-feed-transactions
          • POST/bank-feed-transactions
          • GET/bank-feed-transactions/{id}
          • GET/bank-feed-transactions/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsBank Feed Transactions

/bank-feed-transactions/{id}

Beta
GET
/accounting/v1/bank-feed-transactions/:id
GET
/api/accounting/v1/bank-feed-transactions/:id
$curl -G https://api.merge.dev/api/accounting/v1/bank-feed-transactions/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d expand=bank_feed_account
200Retrieved
1{
2 "id": "b26fd49a-cbae-470a-a8f8-bcbc119e0390",
3 "remote_id": "987300",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "bank_feed_account": "49cd5a42-b311-4750-9361-52e2ed1d4653",
7 "transaction_date": "2024-02-02T00:00:00.000Z",
8 "posted_date": "2024-02-03T00:00:00.000Z",
9 "amount": 100.1,
10 "description": "Lunch expense",
11 "transaction_type": "payment",
12 "payee": "Elmo's diner",
13 "credit_or_debit": "CREDIT",
14 "source_transaction_id": "124569",
15 "remote_was_deleted": true,
16 "is_processed": true
17}

Returns a BankFeedTransaction object with the given id.

Was this page helpful?
Previous

/bank-feed-transactions

Next

/bank-feed-transactions/meta/post

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

expandenumOptional
Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
Allowed values:
include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
bank_feed_accountstring or nullformat: "uuid"
The bank feed account associated with the transaction.
transaction_datedatetime or null
The date that the transaction occurred.
posted_datedatetime or null
The date the transaction was posted to the bank account.
amountdouble or null
The amount of the transaction.
descriptionstring or null<=1024 characters
The description of the transaction.
transaction_typestring or null<=1024 characters
The underlying type of the transaction.
payeestring or null<=1024 characters
The person or merchant who initiated the transaction, or alternatively, to whom the transaction was paid.
credit_or_debitenum or null

If the transaction is of type debit or credit.

  • CREDIT - CREDIT
  • DEBIT - DEBIT
Allowed values:
source_transaction_idstring or null<=1024 characters

The customer’s identifier for the transaction.

remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

is_processedbooleanRead-only
Whether or not this transaction has been processed by the external system. For example, NetSuite writes this field as True when the SuiteApp has processed the transaction.